"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllNotifications = void 0;
/* eslint-disable @typescript-eslint/naming-convention */
const requests_1 = require("../../utils/requests");
const apiPaths_1 = require("../apiPaths");
const retrieveSetCookieFromHeaders_1 = require("../../utils/retrieveSetCookieFromHeaders");
const url = apiPaths_1.migrosApiPaths["login"] + "/mobilepayment/devices";
async function getAllNotificationsRequest(token, appDeviceSettings) {
    const headers = {
        Host: "mobile-app.migros.ch",
        Connection: "Keep-Alive",
        "Accept-Encoding": "gzip",
        "User-Agent": "okhttp/4.10.0",
        Authorization: "Bearer " + token,
        // 'If-None-Match': '',
        ...appDeviceSettings,
        ["x-app-build"]: appDeviceSettings["x-app-build"].toString(),
        ["x-app-ecom-toggle"]: appDeviceSettings["x-app-ecom-toggle"].toString(),
        ["x-siren-version"]: appDeviceSettings["x-siren-version"].toString(),
        ["x-app-famigros-loyalty"]: appDeviceSettings["x-app-famigros-loyalty"].toString(),
        ["x-app-cumulus-number"]: appDeviceSettings["x-app-cumulus-number"].toString(),
        ["x-route-version"]: appDeviceSettings["x-route-version"].toString(),
        ["x-app-migros-cooperative"]: appDeviceSettings["x-app-migros-cooperative"].toString(),
        ["x-app-login-id"]: appDeviceSettings["x-app-login-id"].toString(),
        ["x-feature-flags"]: appDeviceSettings["x-feature-flags"].toString(),
        ["x-app-migusto-member"]: appDeviceSettings["x-app-migusto-member"].toString(),
        ["Accept-Language"]: appDeviceSettings["Accept-Language"].toString(),
        ["x-app-migros-zipcode"]: appDeviceSettings["x-app-migros-zipcode"].toString(),
        ["x-app-cumulus-enabled"]: appDeviceSettings["x-app-cumulus-enabled"].toString(),
        ["x-device-os-version"]: appDeviceSettings["x-device-os-version"].toString(),
        ["x-device-width"]: appDeviceSettings["x-device-width"].toString(),
        ["x-device-timestamp"]: appDeviceSettings["x-device-timestamp"].toString(),
        ["x-app-request-sequence"]: appDeviceSettings["x-app-request-sequence"].toString(),
    };
    const response = await (0, requests_1.getRequest)(url, {}, headers);
    return {
        body: await response.json(),
        ["set-cookie"]: (0, retrieveSetCookieFromHeaders_1.retrieveSetCookieFromHeaders)(response.headers),
    };
}
async function getAllNotifications(token, appDeviceSettings) {
    return getAllNotificationsRequest(token, appDeviceSettings);
}
exports.getAllNotifications = getAllNotifications;
//# sourceMappingURL=notifications.js.map