"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCumulusPaymentSites = void 0;
/* eslint-disable @typescript-eslint/naming-convention */
const requests_1 = require("../../utils/requests");
const apiPaths_1 = require("../apiPaths");
const retrieveSetCookieFromHeaders_1 = require("../../utils/retrieveSetCookieFromHeaders");
const url = apiPaths_1.migrosApiPaths["login"] + "/ma/api/content/payment/sites";
async function getCumulusPaymentSitesRequest(url, cookies) {
    const headers = {
        accept: "application/json, text/javascript, */*; q=0.01",
        "accept-language": "en-US,en;q=0.9",
        "content-type": "application/json",
        "sec-ch-ua": '"Chromium";v="106", "Microsoft Edge";v="106", "Not;A=Brand";v="99"',
        "sec-ch-ua-mobile": "?0",
        "sec-ch-ua-platform": '"Windows"',
        "sec-fetch-dest": "empty",
        "sec-fetch-mode": "cors",
        "sec-fetch-site": "same-origin",
        "x-csrf-token": cookies.CSRF,
        "x-requested-with": "XMLHttpRequest",
        Referer: "https://login.migros.ch/cumulus/dashboard",
        "Referrer-Policy": "same-origin",
    };
    const response = await (0, requests_1.getRequest)(url, {}, headers, cookies);
    return {
        body: await response.json(),
        ["set-cookie"]: (0, retrieveSetCookieFromHeaders_1.retrieveSetCookieFromHeaders)(response.headers),
    };
}
async function getCumulusPaymentSites(cookies) {
    return getCumulusPaymentSitesRequest(url, cookies);
}
exports.getCumulusPaymentSites = getCumulusPaymentSites;
//# sourceMappingURL=payment-sites.js.map