"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postRecipeSearch = void 0;
const requests_1 = require("../../utils/requests");
const apiPaths_1 = require("../apiPaths");
const Language_1 = require("../enums/Language");
const SortOrder_1 = require("../enums/SortOrder");
const url = apiPaths_1.migrosApiPaths.migusto.recipes.v1;
const defaultRecipeSearchOptions = {
    ingredients: [],
    language: Language_1.Language.EN,
    limit: 24,
    offset: 0,
    order: SortOrder_1.MigustoSortOrder.RELEVANCE_DESC,
    recipeFilterUuid: "b11fb25b-e7f6-4eac-b3c1-9e473eeaa0f5",
    searchTerm: "",
    uuids: [],
};
async function postRecipeSearchRequest(url, options) {
    const necessaryHeaders = {
        ["Accept"]: "*/*",
        ["content-type"]: "application/json",
    };
    const response = await (0, requests_1.postRequest)(url, options, {}, necessaryHeaders);
    return await response.json();
}
async function postRecipeSearch(recipeSearchOptions) {
    recipeSearchOptions = {
        ...defaultRecipeSearchOptions,
        ...recipeSearchOptions,
    };
    return postRecipeSearchRequest(url, recipeSearchOptions);
}
exports.postRecipeSearch = postRecipeSearch;
//# sourceMappingURL=recipe-search.js.map