"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUserInfo = void 0;
/* eslint-disable @typescript-eslint/naming-convention */
const requests_1 = require("../../utils/requests");
const apiPaths_1 = require("../apiPaths");
const retrieveSetCookieFromHeaders_1 = require("../../utils/retrieveSetCookieFromHeaders");
const url = apiPaths_1.migrosApiPaths["login"] + "/oauth2/userinfo";
async function getUserInfoRequest(url, token) {
    const headers = {
        authorization: `Bearer ${token}`,
        "Accept-Encoding": "gzip, deflate, br",
        "Accept-Language": "en-US,en;q=0.9",
        DNT: "1",
        Origin: "https://cumulus.migros.ch",
        "Sec-Fetch-Dest": "empty",
        "Sec-Fetch-Mode": "cors",
        "Sec-Fetch-Site": "same-site",
    };
    const response = await (0, requests_1.getRequest)(url, {}, headers);
    return {
        body: await response.json(),
        ["set-cookie"]: (0, retrieveSetCookieFromHeaders_1.retrieveSetCookieFromHeaders)(response.headers),
    };
}
async function getUserInfo(token) {
    return getUserInfoRequest(url, token);
}
exports.getUserInfo = getUserInfo;
//# sourceMappingURL=userinfo.js.map