"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProductDetail = void 0;
const StoreType_1 = require("../enums/StoreType");
const Region_1 = require("../enums/Region");
const requests_1 = require("../../utils/requests");
const apiPaths_1 = require("../apiPaths");
const url = apiPaths_1.migrosApiPaths["product-display"].public.v2 + "/product-detail";
const defaultProductDetailOptions = {
    warehouseId: 1,
    storeType: StoreType_1.StoreType.OFFLINE,
    region: Region_1.Region.NATIONAL,
};
async function getProductDetailRequest(url, options, headers) {
    if (Array.isArray(options.uids)) {
        options.uids = options.uids.join(",");
    }
    const necessaryHeaders = {
        accept: "application/json, text/plain, *!/!*",
        ...headers,
    };
    const response = await (0, requests_1.getRequest)(url, options, necessaryHeaders);
    return await response.json();
}
async function getProductDetail(productDetailOptions, headers) {
    productDetailOptions = {
        ...defaultProductDetailOptions,
        ...productDetailOptions,
    };
    return getProductDetailRequest(url, productDetailOptions, headers);
}
exports.getProductDetail = getProductDetail;
//# sourceMappingURL=product-detail.js.map