"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.searchStores = void 0;
const requests_1 = require("../../utils/requests");
const apiPaths_1 = require("../apiPaths");
const url = apiPaths_1.migrosApiPaths.store.public.v1 + "/search";
const defaultSearchStoresOptions = {
    query: "",
};
async function getSearchStoresRequest(url, options, headers) {
    url += `?query=${options.query}`;
    const necessaryHeaders = {
        accept: "application/json, text/plain, */*",
        ...headers,
    };
    const response = await (0, requests_1.getRequest)(url, {}, necessaryHeaders);
    return await response.json();
}
async function searchStores(searchStoresOptions, headers) {
    searchStoresOptions = {
        ...defaultSearchStoresOptions,
        ...searchStoresOptions,
    };
    return getSearchStoresRequest(url, searchStoresOptions, headers);
}
exports.searchStores = searchStores;
//# sourceMappingURL=search-stores.js.map